curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge/limit" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge_limit = vehicle.get_charge_limit()
const chargeLimit = vehicle.getChargeLimit();
VehicleChargeLimit chargeLimit = vehicle.getChargeLimit();
charge_limit = vehicle.get_charge_limit()
{
"limit": 0.8,
}
Vehicle Data
Charge Limit
Returns the charge limit configuration for the vehicle.
GET
/
v2.0
/
vehicles
/
{id}
/
charge
/
limit
curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge/limit" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge_limit = vehicle.get_charge_limit()
const chargeLimit = vehicle.getChargeLimit();
VehicleChargeLimit chargeLimit = vehicle.getChargeLimit();
charge_limit = vehicle.get_charge_limit()
{
"limit": 0.8,
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_charge
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge/limit" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge_limit = vehicle.get_charge_limit()
const chargeLimit = vehicle.getChargeLimit();
VehicleChargeLimit chargeLimit = vehicle.getChargeLimit();
charge_limit = vehicle.get_charge_limit()
Response
number
The level at which the vehicle will stop charging and be considered fully charged as a percentage.
{
"limit": 0.8,
}
Notes
This endpoint will return aCHARGING_PLUG_NOT_CONNECTED
error if the OEM is unable to provide a charge limit unless the vehicle is plugged in.
Ford and LincolnIf a vehicle starts charging as a result of a start charge request, this endpoint will always return
1 if the charging location has a schedule in place.
Charging schedules on the vehicle can be read through the Charge.ChargeTimers signal.
BMW and MINIVehicle needs to be on OS Version 8+
Was this page helpful?

